<template>
        <table class="table">
            <tbody>
                <tr
                    v-for="(item, index) in items"
                    :key="index"
                >
                    <td  
                        class=" border-0">
                        {{item.title}}
                    </td>
                    <td  
                        class="border-0">
                        <input 
                            v-if="item.type !== 'select'"
                            class="form-control"  
                            style="height:35px; min-width: 100px;"
                            :type="item.type"
                            v-model.trim="item.value"
                            :id="item.name"
                            :required="item.isRequired"
                        />
                        <select
                            v-else
                            style="height:35px; min-width: 100px;"
                            class="form-select p-0 px-2" 
                            v-model="item.value"
                            >
                            <option>Да</option>
                            <option>Нет</option>

                        </select>
                    </td>
                </tr>
            </tbody>
        </table> 
</template>

<script>
// import arrayDataMixin from '@/mixins/arrayDataMixin';
export default {
    name: 'EditTable',
    props: ["items"],
    setup(){
        
    }
}
</script>

<style>

</style>
